This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 520738 - gnome terminal no longer honors --geometry
gnome terminal no longer honors --geometry
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-02 00:05 EDT by Tony Breeds
Modified: 2009-09-07 18:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-07 18:13:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 592435 None None None Never

  None (edit)
Description Tony Breeds 2009-09-02 00:05:31 EDT
Description of problem: In previous versions of Fedora I could run:
gnome-terminal --geometry 150x48 to get a terminal of those dimensions.  Investigation shows that the position portion of the --geometry arg is being evaluated:

gnome-terminal --geometry +100+100      # creates a terminal @ +100+100
gnome-terminal --geometry 40x40+100+100 # creates a 80x23 terminal @ +100+100

[tony@thor ~]$ rpm -q gnome-terminal
gnome-terminal-2.27.91-1.fc12.i686
Comment 1 Yanko Kaneti 2009-09-02 02:41:44 EDT
This is fixed upstream. 
http://git.gnome.org/cgit/gnome-terminal/commit/?h=gnome-2-28&id=9f8b6a3001b5c62e95367131ae9c7bc38a26c751

Should be in 2.27.92 or later.
Comment 2 Bruce Jerrick 2009-09-04 16:27:04 EDT
A workaround is to use gnome-terminal-2.26.2-3.fc12 from F12 Alpha.
-- Bruce Jerrick

Note You need to log in before you can comment on or make changes to this bug.